Skip to main content
POST
/
v1
/
leads
/
reference-sources
Create a lead reference source
curl --request POST \
  --url https://dev.flextell.ai/api/v1/leads/reference-sources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Tenant: <x-tenant>' \
  --data '
{
  "name": "<string>",
  "color": "<string>"
}
'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "name": "<string>",
    "external_id": "<string>",
    "color": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Body

application/json
name
string
required

The name.

Maximum string length: 255
color
string | null

A hex color code (e.g. #94a3b8).

Pattern: ^#([0-9a-fA-F]{3}|[0-9a-fA-F]{6})$

Response

success
string
required
data
LeadReferenceSourceResource · object
required